
# Main repo for the Schpin project.

The packages can be compiled with traditional ROS tools, but you need a compiler that handles C++17.
Keep in mind however that you also need a schpin-robot repository with data.

As of now, only thing presentable is the motion planner.
Use:

```
$ roslaunch repos/schpin-ros/schpin_motion/launch/debug_env.launch
```

This opens rviz with a model of our robot and prepares necessary parameters.
Use:

```
$ rosrun schpin_motion manual
```

To get access to the control console, write "help" for basic manual for control.
You have to start the motion planner at first: local start

You can get some feedback from the motion planner on standart ros topics, however we recommend our logger utility:

```
$ rosrun schpin_motion logger                                     
```
Please keep in mind that this is under heavy development and state of the code is sometimes ... well I warned you!
