require "schpin_control.sequences.koke"

joint_goto {joints = alfas, pos = neutral_angles[1], time = 1.}
joint_goto {joints = betas, pos = neutral_angles[2], time = 1.}
joint_goto {joints = gamas, pos = neutral_angles[3], time = 1.}
block_yield {joints = all}

-- movement on z axis
for i = 1, 3 do
    for i, s in pairs({0.05, -0.05}) do
        body_move {
            dir = {0, 0, s},
            rot = {{0, 0, 1}, 0},
            time = 0.05
        }
        block_yield {joints = all}
    end
end

-- movement on y axis
body_move {dir = {0, 0.1, 0}, rot = {{0, 0, 1}, 0}, time = 0.2}
block_yield {joints = all}
for i = 1, 3 do
    body_move {
        dir = {0, -0.1, 0},
        rot = {{0, 0, 1}, 0},
        time = 0.05
    }
    block_yield {joints = all}

    body_move {
        dir = {0, 0.1, 0},
        rot = {{0, 0, 1}, 0},
        time = 0.05
    }
    block_yield {joints = all}
end
body_move {dir = {0, -0.1, 0}, rot = {{0, 0, 1}, 0}, time = 0.2}
block_yield {joints = all}
