#include "graph/generics/edge.h"
#include "schpin_lib/identificator.h"
#include "schpin_lib/quantity.h"

#include <nlohmann/json.hpp>

#pragma once

namespace schpin
{
using leg_price       = em::timeq;
using leg_vertex_id   = identificator< struct LegVertexIDTag, 32 >;
using leg_edge_offset = identificator< struct LegEdgeOffsetTag, 32 >;
using leg_edge_id     = generic_edge_id< leg_vertex_id, leg_edge_offset >;

}  // namespace schpin
