#include "planner/body.h"

namespace schpin
{
template bool
detail::body_collides_with_environment_impl< collision_mode::FAST >( const body&,
                                                                     const pose< world_frame >&,
                                                                     const environment& );
template bool
detail::body_collides_with_environment_impl< collision_mode::FULL >( const body&,
                                                                     const pose< world_frame >&,
                                                                     const environment& );
template bool
detail::leg_collides_with_environment_impl< collision_mode::FAST >( const leg_view< 3 >&,
                                                                    const environment& );
template bool
detail::leg_collides_with_environment_impl< collision_mode::FULL >( const leg_view< 3 >&,
                                                                    const environment& );
}  // namespace schpin
