#!/usr/bin/env python3

import rospy
import json
import sys
from schpin_msgs.srv import *

filename = sys.argv[1]

with open(filename) as fd:
    data = fd.read() 

    rospy.wait_for_service("/control/ctl")
    control_ctl = rospy.ServiceProxy('/control/ctl', BlobCtl)
    
    req = BlobCtlRequest()
    req.data = data
    res = control_ctl(req)
    print(res.res, res.error)

