#include "shared/protocol.h"
#include <schpin_lib/view.h>

namespace schpin
{
em::either< node_fw_tuple, protocol_error_record > parse_node_fw( node_fw_message m )
{
        return node_fw_protocol::extract( m );
}

em::either< fw_node_tuple, protocol_error_record > parse_fw_node( fw_node_message m )
{
        return fw_node_protocol::extract( m );
}
}  // namespace schpin
