#include "graph/generics/edge.h"
#include "schpin_lib/identificator.h"

#pragma once

namespace schpin
{
using body_vertex_id   = identificator< struct BodyVertexIDTag, 32 >;
using body_edge_offset = identificator< struct BodyEdgeOffsetTag, 32 >;
using body_price       = float;
using body_edge_id     = generic_edge_id< body_vertex_id, body_edge_offset >;

}  // namespace schpin
