#include "gait/base.h"
#include "graph/generics.h"
#include "graph/generics/edge.h"

#pragma once

namespace schpin
{
struct gait_edge_content
{
        gait_price price_;

      public:
        gait_price get_price() const
        {
                return price_;
        }
};
using gait_edge =
    generic_edge< gait_edge_id, gait_edge_content, gait_price, gait_vertex_id, gait_edge_offset >;

inline void to_json( nlohmann::json j, const gait_edge_content& content )
{
        j["price"] = content.get_price();
}
}  // namespace schpin
